/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

"use strict";

Components.utils.import("resource://big-block-brasil/module.jsm?v=1.0.1");

if (Module.isLoading(this)) { // this = ContentFrameMessageManager
  addMessageListener("bbb@hultmann:disable", function unload(message) {
    removeMessageListener("bbb@hultmann:disable", unload);
    Module.dispose(this);
    Components.utils.unload("resource://big-block-brasil/module.jsm?v=1.0.1");
    sendSyncMessage("bbb@hultmann:content-disabled");
    console.log("BBB content disable done!");
  });
};
